Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.ast
Class ObjectDesignator

    java.lang.Object
      javafe.ast.ASTNode
          javafe.ast.ObjectDesignator

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  ExprObjectDesignator, SuperObjectDesignator, TypeObjectDesignator

public abstract class ObjectDesignator
extends ASTNode

Designates the object or type used for a field or method access. Subclasses represent "expr.", "type.", or "super."

Field Summary
`int` | `locDot`

Fields inherited from class javafe.ast.ASTNode
`decorations`

Constructor Summary
`protected` | `ObjectDesignator()` Construct a raw ObjectDesignator whose class invariant(s) have not yet been established.

Method Summary
`void` | `check()`
`int` | `getEndLoc()`
`abstract Type` | `type()`

Methods inherited from class javafe.ast.ASTNode
`accept, accept, childAt, childCount, clone, clone, getDecorations, getStartLoc, getTag, setDecorations, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### locDot

    public int locDot

Constructor Detail

### ObjectDesignator

    protected ObjectDesignator()

  Construct a raw ObjectDesignator whose class invariant(s) have not yet been established. It is the caller's job to initialize the returned node's fields so that any class invariants hold.

Method Detail

### getEndLoc

    public int getEndLoc()

  Overrides:
    `getEndLoc` in class `ASTNode`

### type

    public abstract Type type()

### check

    public void check()

  Overrides:
    `check` in class `ASTNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage